Search:

# CWIS Developers Documentation

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PluginManager Class Reference

Manager to load and invoke plugins. More...

List of all members.

## Public Member Functions
| __construct ($AppFramework, $PluginDirectories)
| PluginManager class constructor.
| LoadPlugins ()
| Load and initialize plugins.
| GetErrorMessages ()
| Retrieve any error messages generated during plugin loading.
| GetPlugin ($PluginName)
| Retrieve specified plugin.
| GetPluginForCurrentPage ()
| Retrieve plugin for current page (if any).
| GetPluginAttributes ()
| Retrieve info about currently loaded plugins.
| GetActivePluginList ()
| Get the list of names of active, i.e., enabled plugins.
| PluginEnabled ($PluginName, $NewValue=NULL)
| Get/set whether specified plugin is enabled.

## Detailed Description

Manager to load and invoke plugins.

Definition at line 6 of file PluginManager.php.

## Constructor & Destructor Documentation

PluginManager::__construct | ( | $ | AppFramework,
|  | $ | PluginDirectories |
| ) |  |  |

PluginManager class constructor.

Parameters:

  | AppFramework | ApplicationFramework within which plugins should run.
  | PluginDirectories | Array of names of directories containing plugins.

Definition at line 15 of file PluginManager.php.

References ApplicationFramework::ORDER_LAST.

## Member Function Documentation

PluginManager::GetActivePluginList | ( |  | ) |

Get the list of names of active, i.e., enabled plugins.

Returns:
  an array of names of active plugins

Definition at line 254 of file PluginManager.php.

References PluginEnabled().

PluginManager::GetErrorMessages | ( |  | ) |

Retrieve any error messages generated during plugin loading.

Returns:
  Array of arrays of error messages, indexed by plugin base (class) name.

Definition at line 205 of file PluginManager.php.

PluginManager::GetPlugin | ( | $ | PluginName | ) |

Retrieve specified plugin.

Parameters:

  | PluginName | Base name of plugin.

Returns:
  Plugin object or NULL if no plugin found with specified name.

Definition at line 215 of file PluginManager.php.

Referenced by GetPluginForCurrentPage().

Here is the caller graph for this function:

PluginManager::GetPluginAttributes | ( |  | ) |

Retrieve info about currently loaded plugins.

Returns:
  Array of arrays of plugin info, indexed by plugin base (class) name.

Definition at line 237 of file PluginManager.php.

PluginManager::GetPluginForCurrentPage | ( |  | ) |

Retrieve plugin for current page (if any).

This method relies on the current page having been found within the plugin directory (usually via a "P_" prefix on the page name) via a call to the hooked FindPluginPhpFile() or FindPluginHtmlFile() methods..

Returns:
  Plugin object or NULL if no plugin associated with current page.

Definition at line 228 of file PluginManager.php.

References GetPlugin().

PluginManager::LoadPlugins | ( |  | ) |

Load and initialize plugins.

Returns:
  TRUE if load was successful (no problems encountered), otherwise FALSE.

Definition at line 38 of file PluginManager.php.

References PluginEnabled().

PluginManager::PluginEnabled | ( | $ | PluginName,
|  | $ | NewValue = `NULL` |
| ) |  |  |

Get/set whether specified plugin is enabled.

Parameters:

  | PluginName | Base name of plugin.
  | NewValue | TRUE to enable, FALSE to disable. (OPTIONAL)

Returns:
  TRUE if plugin is enabled, otherwise FALSE.

Definition at line 265 of file PluginManager.php.

Referenced by GetActivePluginList(), and LoadPlugins().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- PluginManager.php